<?php

# заголовок
define('TITLE', 'Банк');

# определение данных
$title = array(); $button = array(); // массивы
$output = false; $params = PARAMS; // параметры
$refresh = $FUNC->random(8, true); // случайное число

# вывод нижней ссылки
$pays = (db_exist($DB, 'payments', 'id', array('user' => USER['id']))) ? true : false;

# обработка данных, текущие платежи
if (isset($params['param']) && $params['param'] == 'payment' && $pays) {
$pays = false; $list = true; // вывод списка, нижняя ссылка

# вывод общих платежей, из базы данных
$query = db_output($DB, 'payments', array('num', 'status', 'sum', 'time'), array('user' => USER['id']), true, 'id', DATA['bank']);

# разбор платежей, разбор данных в массиве
$index = 0; while ($assoc = $query->fetch_assoc()) { 
$bank[$index] = $assoc; $index++; } foreach ($bank as &$post) {
$post['status'] = ($post['status'] == 'none' || $post['status'] == 'check') ? 
'Не завершен' : (($post['status'] == 'error') ? 'Не оплачен' : 'Оплачен'); // статус
$post['money'] = $post['sum'] * 500; } } // сумма в рублях

# данные верхней ссылки
if (isset($list)) $top = array('icon' => 'back', 'link' => 'Вернуться в банк'); // назад
else $top = array('icon' => 'refresh', 'link' => 'Обновить'); // обновить

?>